#### 7.10.2.12 crystallographicGroupP2GG

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP2GG(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p2gg group with the following presentation
  < x, y, u, v | [x, y] = (u*v)^2 = 1, u^2 = x, v^2 = y, v^(-1)*x*v = x^(-1), u^(-1)*y*u = y^(-1) > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP2GG(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=u*v*u*v+y*x+x*y
    ==> I[3]=u*v*u*v+1
    ==> I[4]=u*u+x
    ==> I[5]=v*v+y
    ==> I[6]=V*x*v+X
    ==> I[7]=U*y*u+Y
    ==> I[8]=X*x+1
    ==> I[9]=x*X+1
    ==> I[10]=Y*y+1
    ==> I[11]=y*Y+1
    ==> I[12]=u*U+1
    ==> I[13]=U*u+1
    ==> I[14]=v*V+1
    ==> I[15]=V*v+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.